"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const internals_1 = require("../internals");
const core_1 = require("@collectable/core");
function freeze(tree) {
    return core_1.isImmutable(tree._owner) ? tree : internals_1.cloneAsImmutable(tree);
}
exports.freeze = freeze;
function isFrozen(tree) {
    return core_1.isImmutable(tree._owner);
}
exports.isFrozen = isFrozen;

//# sourceMappingURL=freeze.js.map
